/*
    Freud - a standalone C++ port of the Emacs Psychiatrist
    Copyright (C) 2002  Markus Triska

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You can contact me via triska@gmx.at
*/


#include <vector>
#include <string>

class SynonymList
{
public:
	SynonymList() : index(0) {  }
	std::string current();
	SynonymList& add(const std::string &);
	bool isMember(const std::string &);
	void clear() { index = 0; synonyms.clear(); }
	unsigned int size() { return synonyms.size(); }
	void removeLast() { synonyms.erase(synonyms.end() - 1); }

private:
	unsigned int index;
	std::vector<std::string> synonyms;
};

